body {
  font-family: system-ui;
  margin: 1rem;
  max-width: 600px;
}

input, textarea, select, button {
  width: 100%;
  margin: .5rem 0;
  padding: .5rem;
  font-size: 16px;
  color: #353535;
}

button {
  color: #353535;
  font-weight: normal;
}

textarea {
  height: 120px;
}

ul {
  list-style: disc;
  padding-left: 1.5rem;
}

.header-link {
  text-decoration: none; /* remove underline */
  color: inherit;        /* use the h1 color */
}

.header-link:hover {
  text-decoration: none; /* prevent underline on hover */
  color: inherit;        /* keep color same on hover */
}

.bold-link {
  font-weight: bold;
}

/* For the glass styling on boxes */
.filter-form {
  background: rgba(199, 199, 199, 0.15);
  backdrop-filter: blur(10px);
  border: 1px solid rgba(255, 255, 255, 0.3);
  border-radius: 12px;
  padding: 0.75rem 1.5rem;
  margin-bottom: 1rem;
}

.filter-form:hover {
  background: rgba(143, 143, 143, 0.25);
}

/* For the delete button */
.filter-form--danger {
  background: rgba(255, 89, 98, 0.49);
}

.filter-form--danger:hover {
  background: rgba(255, 22, 42, 0.85);
}

.filter-form--danger:focus {
  box-shadow: 0 0 0 2px rgba(255, 22, 42, 0.4);
}

/* For the new recipe button */
.filter-form--new:hover {
  background: rgba(84, 53, 220, 0.35);
}

.filter-form--new:focus {
  box-shadow: 0 0 0 2px rgba(84, 53, 220, 0.4);
}

/* Line */
hr.custom-divider {
  border: none;           /* Removes the default border */
  border-top: 1px solid #514f4f; /* Adds a solid top border */
  margin: 7px 0;         /* Adds vertical spacing */
}
